Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
sauce::internal::Key< sauce::shared_ptr< Iface_ > > Class Template Reference

Template specialization when a smart pointer is used. More...

`#include <sauce/internal/key.h>`

## Public Types
typedef Key< Iface_ >::Iface | Iface
typedef Key< Iface_ >::Ptr | Ptr
typedef Key< Iface_ >::Name | Name
typedef Key< Iface_ >::Normalized | Normalized

## Detailed Description

### template<typename Iface_>
class sauce::internal::Key< sauce::shared_ptr< Iface_ > >

Template specialization when a smart pointer is used.

The documentation for this class was generated from the following file:

- sauce/internal/key.h